Loading...
Searching...
No Matches
GxExit Class Reference

`#include <gx_logging.h>`

## Public Member Functions

| GxExit ()
| ~GxExit ()
void | set_ui_thread ()
sigc::signal< void, bool > & | signal_exit ()
sigc::signal< void, std::string > & | signal_msg ()
void | exit_program (std::string msg="", int errcode=1)
void | fatal_msg (const std::string &msg)

## Static Public Member Functions

static GxExit & | get_instance ()

## Private Attributes

sigc::signal< void, bool > | exit_sig
pthread_t | ui_thread
sigc::signal< void, std::string > | message

## Detailed Description

Definition at line 107 of file gx_logging.h.

## Constructor & Destructor Documentation

## GxExit()

GxExit::GxExit | ( |  | ) |

Referenced by get_instance().

## ~GxExit()

GxExit::~GxExit | ( |  | ) |

## Member Function Documentation

## exit_program()

void GxExit::exit_program | ( | std::string | msg = "",
|  | int | errcode = 1 )

Referenced by fatal_msg().

## fatal_msg()

void GxExit::fatal_msg | ( | const std::string & | msg | ) |

inline

Definition at line 119 of file gx_logging.h.

## get_instance()

GxExit & GxExit::get_instance | ( |  | ) |

static

## set_ui_thread()

void GxExit::set_ui_thread | ( |  | ) |

inline

Definition at line 115 of file gx_logging.h.

## signal_exit()

sigc::signal< void, bool > & GxExit::signal_exit | ( |  | ) |

inline

Definition at line 116 of file gx_logging.h.

## signal_msg()

sigc::signal< void, std::string > & GxExit::signal_msg | ( |  | ) |

inline

Definition at line 117 of file gx_logging.h.

## Member Data Documentation

## exit_sig

sigc::signal<void, bool> GxExit::exit_sig

private

Definition at line 109 of file gx_logging.h.

Referenced by signal_exit().

## message

sigc::signal<void,std::string> GxExit::message

private

Definition at line 111 of file gx_logging.h.

Referenced by fatal_msg(), and signal_msg().

## ui_thread

pthread_t GxExit::ui_thread

private

Definition at line 110 of file gx_logging.h.

Referenced by set_ui_thread().

The documentation for this class was generated from the following file:

- src/headers/gx_logging.h